---
title: "Notes - Fetching"
description: ""
url: "https://docs.itrsgroup.com/docs/opsview/6.11.7/rest-api/notes/api-notes-listing/index.html"
---
## Host input

```
opsview_rest --token-file /path/to/opsview_restapi_token --data-format=json --pretty GET /rest/notes/host/7
```

Returns:

```
{
   "id" : "7",
   "note" : "This is a host note",
   "writeable" : "1"
}
```

## Service Check input

```
opsview_rest --token-file /path/to/opsview_restapi_token --pretty --data-format=json GET '/rest/notes/service?hostname=opsview-master&servicename=CPU Statistics'
```

Returns:

```
{
   "id" : "578",
   "note" : "This is a service check note",
   "writeable" : "1"
}
```

The note will be in a mini HTML format.

Error conditions: `Invalid id or no permission on host - 404`.


**Note**


For more information on how to generate and use the token file, see [opsview_rest](https://docs.itrsgroup.com/docs/opsview/6.11.7/rest-api/rest-api-background/api-common-examples/index.html#opsview_rest) documentation.




